# Delete Transactions

This endpoint takes a reconciliationId and deletes all subledger transactions tied to it.

Endpoint: DELETE /api/v1/transactions/{reconciliationId}
Version: 1.0.0
Security: x-api-key

## Path parameters:

  - `reconciliationId` (string, required)
    The reconciliationId specifies all subledger transactions associated with it for deletion
    Example: "668ee68e00b661374b4861c6"

## Response 200 fields (application/json):

  - `statusId` (string)
    Example: "668ee68e00b661374b4861c6"

## Response 400 fields (application/json):

  - `message` (object)
    Reason(s) for the errors related to incorrect query keys or values that are out of bound

  - `message.errors` (array)

  - `message.errors.field` (string)
    The field that caused the error
    Example: "reconciliationId"

  - `message.errors.message` (string)
    The error message
    Example: "reconciliationId is required"

  - `name` (string)
    BadRequest
    Example: "BadRequest"

  - `status` (integer)
    The HTTP status code.
    Example: 400

## Response 401 fields (application/json):

  - `message` (string)
    Reason for the error such as incorrect service access, malformed, expired or deactivated token.
    Example: "Invalid token"

  - `name` (string)
    Unauthorized
    Example: "Unauthorized"

  - `status` (integer)
    The HTTP status code.
    Example: 401


